Package Details: linux-gpib-svn r1862-2

Git Clone URL: https://aur.archlinux.org/linux-gpib-svn.git (read-only, click to copy)
Package Base: linux-gpib-svn
Description: A support package for GPIB (IEEE 488) hardware -- built from the svn source tree
Upstream URL: http://linux-gpib.sourceforge.net/
Licenses: GPL
Conflicts: linux-gpib, linux-gpib-dkms, python-linux-gpib
Provides: linux-gpib, python-linux-gpib
Submitter: greyltc
Maintainer: greyltc
Last Packager: greyltc
Votes: 1
Popularity: 0.003933
First Submitted: 2018-04-03 15:48
Last Updated: 2020-01-17 17:59

Latest Comments

ElektroQuark commented on 2020-03-31 19:26

Hi, I can't build it, any help?

patching file drivers/gpib/fmh_gpib/fmh_gpib.c patch unexpectedly ends in middle of line Hunk #1 FAILED at 982. 1 out of 1 hunk FAILED -- saving rejects to file drivers/gpib/fmh_gpib/fmh_gpib.c.rej

greyltc commented on 2020-01-17 18:00

I updated the package with the patch from @robots (thank you).

It should build again now.

robots commented on 2020-01-17 12:13

apply this patch:

https://pastebin.com/BtJdhkpe

It will compile cleanly.

johnp636 commented on 2019-12-04 02:48

I'd like to get this to build, but I'm running into the following error on a system with kernel package 5.3.13-arch1-1. Any ideas?

/home/john/Downloads/linux-gpib-svn/src/linux-gpib/linux-gpib-kernel/drivers/gpib/fmh_gpib/fmh_gpib.c: In function ‘fmh_gpib_attach_impl’: /home/john/Downloads/linux-gpib-svn/src/linux-gpib/linux-gpib-kernel/drivers/gpib/fmh_gpib/fmh_gpib.c:1017:24: error: passing argument 4 of ‘driver_find_device’ from incompatible pointer type [-Werror=incompatible-pointer-types] 1017 | NULL, (void)config, &fmh_gpib_device_match); | ^~~~~~~~~~~~~~~~~~~~~~ | | | int ()(struct device , void )